#ifndef QDEMPTYDIRECTORY_H
#define QDEMPTYDIRECTORY_H

#include <QDialog>
#include "QFileDialog"
#include "qthemptydirectory.h"
#include "QMessageBox"

namespace Ui {
class QDEmptyDirectory;
}

class QDEmptyDirectory : public QDialog
{
    Q_OBJECT
    
public:
    explicit QDEmptyDirectory(QWidget *parent = 0);
    ~QDEmptyDirectory();
    
private slots:
    void GetComplete(long Files, long Directories);
    void GetFile(QString Path, QString Color);
    void on_QLEDirectory_textChanged(const QString &arg1);
    void on_QPBStart_clicked();
    void on_QPBStop_clicked();
    void on_QPBQuit_clicked();
    void on_QTBDirectory_clicked();

private:
    Ui::QDEmptyDirectory *ui;
    bool StopImmediatly;
    QThEmptyDirectory *ThEmptyDirectory;

};

#endif // QDEMPTYDIRECTORY_H
