#ifndef QDHTMLPOPUP_H
#define QDHTMLPOPUP_H

#include <QDialog>
#include "QDesktopWidget"
#include "QTimer"

namespace Ui {
class QDHTMLPOpup;
}

class QDHTMLPOpup : public QDialog
{
    Q_OBJECT
    
public:
    explicit QDHTMLPOpup(QWidget *parent = 0);
    ~QDHTMLPOpup();
    void ShowHTMLPopup(QString Text);
    void ShowTextPopup(QString Text);
    
private:
    Ui::QDHTMLPOpup *ui;
    QPoint Point;
    QTimer *TimerMove, *TimerHide;
    void showEvent(QShowEvent *event);

private slots:
    void OnTimerMove();
    void OnTimerHide();

};

#endif // QDHTMLPOPUP_H
